package routers

import (
	"eta/eta_bridge/controller/index_data"
	"eta/eta_bridge/middleware"
	"github.com/gin-gonic/gin"
)

// InitIndexData 获取指标信息
func InitIndexData(r *gin.RouterGroup) {
	control := new(index_data.JiaYueIndexController)
	group := r.Group("index_data/").Use(middleware.InternalToken())
	group.POST("jiayue/index", control.GetIndex)
	group.POST("jiayue/index_data", control.GetIndexData)
	group.POST("jiayue/page_index", control.GetPageIndex)
	group.POST("jiayue/frequency_list", control.GetIndexFrequency)
	group.POST("jiayue/new_index", control.GetRecentNewIndex)
}
